# uses results from glassexplorers_collect 1 and 2 to render an html page of results

import cPickle as pickle
tweets = pickle.load( open( "glasswinners.p", "rb" ) )
statuses = pickle.load( open( "glass.p", "rb" ) )

# sort by number of followers
statuses = sorted(statuses, key=lambda x: -x.user.followers_count)

strs=[]
for s in statuses:
	u = s.user.screen_name
	t = s.text.encode('utf-8')
	c = s.user.followers_count
	d = s.user.description.encode('utf-8')
	n = s.user.name.encode('utf-8')
	if any([len(x)>30 for x in d.split()]): d=""
	strs.append('<tr><td><a href="https://twitter.com/%s">%s</a><br />(%s)</td><td>%s</td><td>%s</td><td>%s <a href="https://twitter.com/OMGFacts/status/%s">[link]</a></td></tr>' % (u,u,n,d,c,t,s.id_str))
str = "".join(strs)

fstr = open("glasstemplate.html", "r").read()
fstr = fstr.replace("GLASS", str)
fstr = fstr.replace("INTROLOL", "listing %d people:" % (len(statuses,)))

fw = open("glasswinners.html", "w")
fw.write(fstr)
fw.close()

print "DONE. glasswinners.html rendered."
