# goes over results from collect1 to find out more infromation about each user. 1 query / 1 user.

import tweepy
import sys
from tweetutils import *
import cPickle as pickle
import os.path

api= authenticate()

tweets = pickle.load( open( "glasswinners.p", "rb" ) )
tweets_filt = [t for t in tweets if "Woohoo" in t.text] # filter down to tweets that give confirmation

print "querying %d tweets..." % (len(tweets_filt), )
if not os.path.isfile("glass.p"):
	pickle.dump([], open("glass.p", "wb")) # create it

# load database of statuses that may have been collected before
statuses = pickle.load(open( "glass.p", "rb" ))
status_ids = [x.id_str for x in statuses]
for (i,t) in enumerate(tweets_filt):
	
	# check if we already have this one in database
	if t.in_reply_to_status_id_str in status_ids:
		print "already have %s, skipping query." % (t.in_reply_to_status_id_str, )
		continue

	# otherwise API fetch it!
	try:
		s = api.get_status(t.in_reply_to_status_id_str)
		statuses.append(s)
	except Exception, e:

		print e
		if "34" in e.reason:
			print "twitter claims %s doesnt exist... continuing..." % (t.in_reply_to_status_id_str, )
			continue

		print "oops, some error with query! probably rate limit, run again in 15 minutes to accumulate more. saving progress and quitting..."
		print "backing up %d tweets..." % (len(statuses), )
		pickle.dump(statuses, open("glass.p", "wb")) # backup stuff
		break

	# back stuff up and print diagnostics
	print "user %s (%d followers) got in: [ %s ]" % (s.user.screen_name, s.user.followers_count, s.text)
	if i%20==0:
		print "backing up %d/%d..." % (i, len(tweets_filt))
		pickle.dump(statuses, open("glass.p", "wb")) # backup stuff
